[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.DoCloseTabClicked

Performs actions needed when the tab for the specified page object is closed.

## Declaration

Source position: comctrls.pp line 487

`public procedure TCustomTabControl.DoCloseTabClicked(`
`APage: TCustomPage`
`); virtual;`

## Arguments

`APage` |  | Page object (TCustomPage) for the tab closed on the control.

## Description

DoCloseTabClicked signals the OnCloseTabClicked event handler (when assigned) using the value in APage as the Sender for the event notification. DoCloseTabClicked occurs when the user clicks on the close button for a tab.

## See also

TCustomTabControl.OnCloseTabClicked |  | Event handler signalled when a tab is closed.
TCustomPage |  | The base class for TTabSheet.
TNotifyEvent